GEOS 3.3.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
geos::algorithm::PointLocator Class Reference

Computes the topological relationship (Location) of a single point to a Geometry. More...

`#include <geos/geosAlgorithm.h>`

## Public Member Functions
int | locate (const geom::Coordinate &p, const geom::Geometry *geom)
bool | intersects (const geom::Coordinate &p, const geom::Geometry *geom)

## Detailed Description

Computes the topological relationship (Location) of a single point to a Geometry.

The algorithm obeys the SFS boundaryDetermination rule to correctly determine whether the point lies on the boundary or not.

Notes:

- instances of this class are not reentrant.
- LinearRing objects do not enclose any area points inside the ring are still in the EXTERIOR of the ring.

Last port: algorithm/PointLocator.java rev. 1.26 (JTS-1.7+)

## Member Function Documentation

bool geos::algorithm::PointLocator::intersects | ( | const geom::Coordinate & | p,
|  | const geom::Geometry * | geom
| ) |  |
| inline

Convenience method to test a point for intersection with a Geometry

Parameters

  p | the coordinate to test
  geom | the Geometry to test

Returns
  `true` if the point is in the interior or boundary of the Geometry

References geos::geom::Location::EXTERIOR.

int geos::algorithm::PointLocator::locate | ( | const geom::Coordinate & | p,
|  | const geom::Geometry * | geom
| ) |  |

Computes the topological relationship (Location) of a single point to a Geometry. It handles both single-element and multi-element Geometries. The algorithm for multi-part Geometries takes into account the boundaryDetermination rule.

Returns
  the Location of the point relative to the input Geometry

The documentation for this class was generated from the following file:

- PointLocator.h